help=false;
skipping=false;

function miniload()
	if flags.film then
		speciale_action(2,10);
	end;	
	if flags.paper then
	    speciale_action(2,1);
	end;
	if flags.filtr then
		speciale_action(2,14);
	end;
	if flags.photo then
	   step=1;
		--collaps_obj(18,0,0,10,1);
	--	AddElement("gr",18);
	return;end;
return;end;


frame=1;
framek1=1;
framek2=4;
step=0;
filmx=267;
xmin=252;
xmax=342;

loadresource("data\\5\\14\\photo.png","c_photo",100);
loadresource("data\\5\\14\\paper.png","c_paper",1);
loadresource("data\\5\\14\\light.png","c_light",2);
loadresource("data\\5\\14\\print.png","c_print",3);
loadresource("data\\5\\14\\btn.png","c_btn",4);
loadresource("data\\5\\14\\bg1.png","c_bg1",9);
loadresource("data\\5\\14\\film.png","c_film",10);
loadresource("data\\5\\14\\bg.jpg","c_bg",11);
loadresource("data\\5\\14\\for_photo.png","c_for_photo",12);
loadresource("data\\5\\14\\for_film.png","c_for_film",13);
loadresource("data\\5\\1\\1018.png","m0018",18);
loadresource("data\\5\\14\\filtr.png","c_filtr",14);
loadresource("data\\5\\14\\for_filtr.png","c_for_filtr",15);

set_activ_free_leaf("mini3");	

SkipX=390;
SkipY=536;

AddSkipBtn(390,566)
addactivobjecttogame(6000,"buttons",170,564,"","",0,0,783,975,34,34);
-- HideSkipBtn ()

if not (flags.photopaper and flags.lightfilter and flags.film_in) then
	HideSkipBtn ()
end;
addactivobjecttogame(100,"c_photo",410,418,"","");
speciale_action(2,100);
addactivobjecttogame(1,"c_paper",410,418,"","");
speciale_action(2,1);


addactivobjecttogame(7,"c_btn",371,220,"","",0,0,75 ,0,25,40,0);
addactivobjecttogame(8,"c_btn",558,220,"","",0,0,100,0,25,40,0);
addstaticobjecttogame(9,"c_bg1",352,139,"");

addstaticobjecttogame(10,"c_film",filmx,221,"");
speciale_action(2,10);

addstaticobjecttogame(14,"c_filtr",436,343,"");
speciale_action(2,14);

addactivobjecttogame(12,"c_for_photo",412,428,"","");
addactivobjecttogame(13,"c_for_film",399,226,"","");
addactivobjecttogame(15,"c_for_filtr",438,340,"","");

addstaticobjecttogame(2,"c_light",399,208,"");
speciale_action(2,2);
addactivobjecttogame(3,"c_print",601,521,"","");

addactivobjecttogame(4,"c_btn",765,57,"","",0,0,25,0,25,25,0);


addactivobjecttogame(18,"m0018",0,2000,"","51"); --непроявленные фото
addactivobjecttogame(19,"m0018",0,2000,"","51"); --непроявленные фото

-- addactivobjecttogame(5,"c_btn",755,67,"","",0,0,25,0,25,25,0);
-- addactivobjecttogame(6,"c_btn",755,67,"","",0,0,50,0,25,25,0);


addstaticobjecttogame(11,"c_bg",165,55,"",0,0,630,545);

-- speciale_action(2,18);
-- speciale_action(2,19);
-- for i=3,15,1 do
-- if  id~=10 and id~=14 then
	-- speciale_action(2,i);
-- return;end;	
-- end;

miniload();

speciale_action(2,7)
speciale_action(2,8)
speciale_action(2,9)
speciale_action(2,12)
speciale_action(2,13)
speciale_action(2,15)
speciale_action(2,3)
speciale_action(2,4)
speciale_action(2,5)
speciale_action(2,6)
speciale_action(2,11)



